#
# spec file for package python-progress
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-progress
Version:        1.6
Release:        2.5
Summary:        Progress bars for Python
License:        ISC
Group:          Development/Languages/Python
URL:            http://github.com/verigak/progress/
Source:         https://files.pythonhosted.org/packages/source/p/progress/progress-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
Progress bars for Python.

%prep
%setup -q -n progress-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec test_progress.py

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/progress
%{python_sitelib}/progress-%{version}*-info

%changelog
* Thu Jul 20 2023 Torsten Gruner <simmphonie@opensuse.org>
- add sle15_python_module_pythons (jsc#PED-68)
* Sun Nov  7 2021 Dirk Müller <dmueller@suse.com>
- update to 1.6:
  * Add help message to check_tty AttributeError
  * ensure hidden cursor is reshown at exit.
  * spinner: support formatted messages
  * progress: avoid division by zero
  * iter: expose the iteration value to the object
  * Style change
  * Add color support
  * Use the formal form everywhere
* Mon Mar 25 2019 Jan Engelhardt <jengelh@inai.de>
- Ensure neutrality of descriptions.
* Sun Mar 24 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v1.5
